org.apache.maven.scm.provider.accurev.cli

## Class CommandOutputConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.accurev.cli.CommandOutputConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class CommandOutputConsumer
    extends Object
    implements org.codehaus.plexus.util.cli.StreamConsumer

### Constructor Summary

Constructors
Constructor and Description
`CommandOutputConsumer(ScmLogger logger, org.codehaus.plexus.util.cli.StreamConsumer decorated)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine(String line)`
`void` `waitComplete()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CommandOutputConsumer

    public CommandOutputConsumer(ScmLogger logger,
                                 org.codehaus.plexus.util.cli.StreamConsumer decorated)

### Method Detail

#### consumeLine

    public void consumeLine(String line)

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`

#### waitComplete

    public void waitComplete()